> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# REST API: Single-sided staking statistics

> Retrieve single-sided staking statistics: the current xSAUCE to SAUCE ratio, 5-day average APR, and staked SAUCE and xSAUCE amounts in smallest units.



## OpenAPI

````yaml GET /stats/sss
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
    description: Mainnet
  - url: https://test-api.saucerswap.finance
    description: Testnet
security:
  - ApiKeyAuth: []
paths:
  /stats/sss:
    get:
      tags:
        - Stats
      summary: Single-Sided Staking statistics
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  avg5day:
                    type: number
                    format: float
                    example: 0.0462
                    description: 5-day average APR
                  ratio:
                    type: number
                    format: float
                    example: 1.1172
                    description: XSAUCE to SAUCE ratio
                  sauce:
                    type: string
                    example: '242601707456381'
                    description: SAUCE amount in its smallest unit
                  timestampSeconds:
                    type: integer
                    example: '1697616900'
                    description: Unix timestamp in seconds
                  xsauce:
                    type: string
                    example: '217150119725425'
                    description: XSAUCE amount in its smallest unit
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: YOUR_API_KEY
      description: >-
        API key for authentication. Request a key from
        support@saucerswap.finance.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key provisioned by the SaucerSwap team. Request one from
        support@saucerswap.finance and send it in the x-api-key header with
        every request.

````